[arch-commits] Commit in readline/trunk (PKGBUILD readline.install)

Aaron Griffin aaron at archlinux.org
Thu Jun 18 11:46:54 EDT 2009


    Date: Thursday, June 18, 2009 @ 11:46:53
  Author: aaron
Revision: 42674

upgpkg: readline 6.0.00-1
    readline rebuilds

Modified:
  readline/trunk/PKGBUILD
  readline/trunk/readline.install

------------------+
 PKGBUILD         |   35 ++++++++++++++++++++---------------
 readline.install |   16 ++++++++++++++--
 2 files changed, 34 insertions(+), 17 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-18 15:46:32 UTC (rev 42673)
+++ PKGBUILD	2009-06-18 15:46:53 UTC (rev 42674)
@@ -3,8 +3,9 @@
 # Contributor: judd <jvinet at zeroflux.org>
 
 pkgname=readline
-pkgver=5.2.013
-pkgrel=2
+_patchlevel=00 #prepare for some patches
+pkgver=6.0.$_patchlevel
+pkgrel=1
 pkgdesc="GNU readline library"
 arch=(i686 x86_64)
 url="http://tiswww.case.edu/php/chet/readline/rltop.html"
@@ -12,27 +13,31 @@
 groups=('base')
 depends=('glibc' 'ncurses')
 backup=("etc/inputrc")
-install=readline.install
-source=(#ftp://ftp.cwru.edu/pub/bash/readline-${pkgver}.tar.gz
-	http://www.sfr-fresh.com/unix/misc/readline-${pkgver}.tar.gz
-	inputrc)
-md5sums=('07666d8dabefdfc7fb328b14cd6ce843'
+source=(http://ftp.gnu.org/gnu/readline/readline-6.0.tar.gz
+        inputrc)
+if [ $_patchlevel -gt 00 ]; then
+    for p in $(seq -w 01 $_patchlevel); do
+        source=(${source[@]} http://ftp.gnu.org/gnu/readline/readline-6.0-patches/readline60-$p)
+    done
+fi
+md5sums=('b7f65a48add447693be6e86f04a63019'
          'e5fc955f56d9fa5beb871f3279b8fa8b')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info
+  cd ${startdir}/src/${pkgname}-6.0
+  for p in ../readline60-*; do
+    [ -e "$p" ] || continue
+    msg "applying patch ${p}"
+    patch -Np0 -i ${p} || return 1
+  done
+
+  ./configure --prefix=/usr --libdir=/lib \
+        --mandir=/usr/share/man --infodir=/usr/share/info
   make SHLIB_LIBS=-lncurses || return 1
   make DESTDIR=${startdir}/pkg install || return 1
   
   mkdir -p ${startdir}/pkg/etc
   install -m644 ../inputrc ${startdir}/pkg/etc/inputrc || return 1
 
-  cd ${startdir}/pkg
-  mkdir -pv lib
-  mv -v usr/lib/lib{readline,history}.so.5* lib/ || return 1
-  ln -svf ../../lib/libreadline.so.5 usr/lib/libreadline.so || return 1
-  ln -svf ../../lib/libhistory.so.5 usr/lib/libhistory.so || return 1
-  
   rm -f ${pkgdir}/usr/share/info/dir
 }

Modified: readline.install
===================================================================
--- readline.install	2009-06-18 15:46:32 UTC (rev 42673)
+++ readline.install	2009-06-18 15:46:53 UTC (rev 42674)
@@ -1,10 +1,22 @@
 infodir=/usr/share/info
 filelist=(history.info readline.info rluserman.info)
 
-post_upgrade() {
+post_install() {
   [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
 
-  done  echo ">> You can safely ignore any \"cannot open shared object\" errors you see above"
+post_upgrade() {
+  post_install $1
+  echo ">> You can safely ignore any \"cannot open shared object\" errors you see above"
 }
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+



More information about the arch-commits mailing list